._heading, h1, h2, h3, h4, h5, h6, .head-h1 div, .head-h2 div, .head-h3 div, .head-h1 span, .head-h2 span, .head-h3 span, .head-h1, .head-h2, .head-h3,
body, th,th, .head-span,._heading, .btn, .button, .menu, blockquote, legend, fieldset, table, button,
 input, select , textarea, nav,label,span.jet-headline__label, span.jet-headline__part,span.elementor-icon-list-text, .elementor-post-navigation__link span, span.timeline-label, time, span.head_tab, span.ha-tab__title-text, ul.menu_setting li span, .text, .error, .success, .tab-post li, .ha-advanced-heading-wrap span, span.elementor-post-date, .breadcrumb-label, li, ul li span, .elementor-text-editor.elementor-clearfix, .td-paragraph-padding-0, span.elementor-button-text, a,span.custom-select-trigger, .elementor-image-box-title, .elementor-widget-container, .content-pagination span.text-number_page, .content-pagination a.last-number_page,
.wpc-filter-title,.wpc-filter-title,.wd-heading .title,
p, strong , .elementor-nav-menu a, span.jet-custom-item-label, .jet-menu-name span.jet-menu-label a,figcaption,.custom-options span, span.woocommerce-Price-amount.amount, span.woocommerce-Price-amount.amount{
  font-family: 'Noto Sans Thai', sans-serif !important;
}
.login-form-side .woocommerce-form-login p {
  margin-bottom: 6px;
}
.woocommerce-form-login__submit {
  margin-top: 5px;
}
textarea#order_comments {
  border-radius: 12px;
}
.woocommerce-shipping-fields>h3,
.woocommerce-additional-fields>h3,
.woocommerce-billing-fields>h3 {
  font-weight: 600;
  margin-bottom: 15px;
}
button.woocommerce-Button.button,
:is(.register,.login) .button {
  font-size: 15px !important;
}
form.checkout.woocommerce-checkout p,
form.woocommerce-ResetPassword.lost_reset_password p,
form.woocommerce-form.woocommerce-form-register.register p, 
form.login.woocommerce-form.woocommerce-form-login p {
  margin-bottom: 10px;
}
.wpc-filter-title {
  margin-top: 10px;
  font-weight: 600;
  font-size: 16px;
}
#wpadminbar .ab-icon {
  font: normal 20px/1 dashicons !important;
}
#wpadminbar * {
  font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif !important;
}
::selection {
  background: #7E684F;
  color: #fff;
}
::-moz-selection {
  background: #7E684F;
  color: #fff;
}
h1, h2, h3, h4, h5, h6{
  margin: 0;
}
button{
  cursor: pointer;
}
p {
  margin: 0;
  transition: all ease-in-out 180ms !important;
  -webkit-transition: all ease-in-out 180ms !important;
  -o-transition: all ease-in-out 180ms !important;
  -moz-transition: all ease-in-out 180ms !important;
  text-decoration: unset;
 /*line-height: 1.6em;
 */
}
.single-post .entry-content p{
  margin: 0;
}
button, input, textarea, span.jet-menu-label, input[type="submit"], i{
  transition: all ease-in-out 180ms !important;
  -webkit-transition: all ease-in-out 180ms !important;
  -o-transition: all ease-in-out 180ms !important;
  -moz-transition: all ease-in-out 180ms !important;
  text-decoration: unset;
}
a{
  color: #000;
  font-weight: 500;
 /* text-decoration: underline;
  text-decoration-color: #f1c40f;
  */
}
a:hover{
  color: #b89963;
 /* text-decoration: underline;
  text-decoration-color: #f1c40f;
  */
}

.content-pagination .current {
  background: #b89963;
  border: 1px solid #b89963;
  font-weight: 400;
  padding: 5px;
  display: flex;
  width: 35px;
  height: 35px;
  align-items: center;
  justify-content: center;
  color: #FFF;
  border-radius: 0;
}
.content-pagination .current a.page-numbers {
  color: #eee;
}
.content-pagination a.page-numbers {
  border: 1px solid #0000;
  border-radius: 0;
  font-weight: 400;
  padding: 5px;
  display: flex;
  width: 35px;
  height: 35px;
  align-items: center;
  justify-content: center;
  color: #000;
  text-align: center;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -ms-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.content-pagination a.page-numbers svg {
  stroke: #000;
}
.content-pagination a.prev.page-numbers, .content-pagination a.next.page-numbers  {
  background: transparent;
  border-color: transparent;
}
.content-pagination a.next.page-numbers svg {
  margin: 0 auto;
  margin-left: 2px;
}
.content-pagination {
  margin: 0;
}

.content-pagination span.text-number_page {
  font-size: 20px;
  color: #000;
  margin: 0;
}

.content-pagination .box-pagination {
  display: flex;
  gap: 5px;
}
.content-pagination {
  gap: 10px;
  position: relative;
  align-items: center;
  display: flex;
  justify-content: center;
  margin-top: 50px;
}

body {
  margin: 0;
}
body.admin-bar .site-header {
  top: 0;
}
@keyframes slidein {
  from {
      right: 0;
      transform: translateX(600px);
 }
  to {
      transform: translateX(0);
 }
}
@keyframes slideup {
  from {
      right: 0;
      transform: translateY(-600px);
 }
  to {
      transform: translateY(0);
 }
}
@keyframes slideout {
  from {
      transform: translateX(0);
 }
  to {
      right: 0;
      transform: translateX(600px);
 }
}

.product-wrapper .product-element-bottom {
  display: flex;
  gap: 0 !important;
  position: relative !important;
}

.product-wrapper .product-element-bottom .wd-add-btn.wd-add-btn-replace {
  order: 3;
  position: absolute;
  right: 0;
}
.product-wrapper .product-element-bottom h3.wd-entities-title {
order:1;
margin-bottom: 2px!important;
}
.product-wrapper .product-element-bottom .wd-product-cats {
  order: 0;
  margin-bottom: 12px;
}
.product-wrapper .product-element-bottom .wrap-price {
  order:2;
}
.product-wrapper .product-element-bottom .wd-product-cats a {
  color: #b89963;
  font-weight: 600;
  font-size: 12px;
}
.product-wrapper .product-element-bottom h3.wd-entities-title a {
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
}
.product-wrapper .product-element-bottom .wrap-price span.woocommerce-Price-amount.amount {
  font-size: 16px;
  font-weight: 500;
}
.wd-add-btn-replace .add-to-cart-loop:after {
   position: absolute;
   top: calc(50% - 9px);
   inset-inline-start: calc(50% - 9px);
   opacity: 0;
   transition: opacity .2s ease;
   content: "";
   display: inline-block;
   width: 18px;
   height: 18px;
   border: 1px solid rgba(0, 0, 0, 0);
   border-left-color: currentColor;
   border-radius: 50%;
   vertical-align: middle;
   animation: wd-rotate 450ms infinite linear var(--wd-anim-state, paused);
   top: 8px !important;
}
.wd-product.wd-hover-fw-button .wd-add-btn .add-to-cart-loop span {
   top: -50px;
   position: absolute;
}
.wd-add-btn-replace .add-to-cart-loop:before {
  transform: rotateY(180deg) !important;
  top: 1px !important;
  right: 2px !important;
}
.wd-product.wd-hover-fw-button .wd-add-btn>a {
  width: 50px !important;
  height: 50px !important;
}
.product-wrapper .product-element-bottom h3.wd-entities-title {
  font-size: 16px;
  line-height: 1.6;
  font-weight: 500;
  color: #000;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  position: relative;
  overflow: hidden;
  min-height: auto;
  height: 100%;
}
/* .f-form .frm-fluent-form .ff-t-container {
  gap: 60px !important;
} */
/* .f-form .ff-default .ff-el-input--label label {
  display: none !important;
}
.f-form .fluentform .ff-el-input--label {
  display: none;
} */
.cat-name h1.head-h3 {
  font-size: 53px;
  font-weight: 400;
  line-height: 1.3;
  display: block;
  position: relative;
  color: #000;
}
.title-box {
  display: block;
  position: relative;
  width: 100%;
}
.title-box .shoptext .head-h3 {
  font-size: 30px;
  color: #000;
  line-height: 1;
  display: block;
}
.page-title_pd {
  padding: 0em 0 5em;
  display: block;
  position: relative;
  width: 100%;
}
.breadcrumb-box p#breadcrumbs {
    margin: 0;
    color: #000;
    font-weight: 500;
}
.page-title_pd .r-title {
  display: grid;
  grid-gap: 2em;
}
.blog-title .head-h3 {
  font-size: 16px;
  color: #000;
  font-weight: 600;
}
.blog-item {
  position: relative;
  display: grid;
  grid-gap: 7px;
}
.blog-item .b-title a {
  font-size: 16px;
  color: #b89963;
  font-weight: 400;
}
.blog-item .b-excerpt {
  font-size: 14px;
  line-height: 1.4;
  color: #000;
  opacity: 0.5;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  position: relative;
  overflow: hidden;
  /* min-height: 57px; */
  height: 100%;
}
.cat-name h1.head-h3 {
  margin: 0;
}
.single-product .product-tabs-wrapper {
  display: none;
}
.single-product .page-title_pd,
.single-product .wd-social-icons,
.single-product .product_meta .sku_wrapper,
.single-product .product_meta .posted_in,
.single-product .product_metax{
  display: none;
}

.single-product select {
  border-radius: 0;
}
.single_add_to_cart_button {
  border-radius: 0;
  font-size: 18px;
  font-weight: 400;
}
div.quantity input[type="button"] {
  border-radius: 0;
}
body.woocommerce-page.tax-product_tag .content-layout-wrapper,
body.woocommerce-page.tax-product_cat .content-layout-wrapper, .post-type-archive-product .content-layout-wrapper{
  display: grid;
  grid-template-columns: 1fr 3fr;
  grid-gap: 20px;
}
body.woocommerce-page.tax-product_tag .content-layout-wrapper .sidebar-container,
body.woocommerce-page.tax-product_cat .content-layout-wrapper .sidebar-container,
.post-type-archive-product .sidebar-container{
  width: 100%;
  max-width: 100%;
}
body.woocommerce-page.tax-product_cat .content-layout-wrapper .page-title_pd,
body.woocommerce-page.tax-product_tag .content-layout-wrapper .page-title_pd,
 .post-type-archive-product .page-title_pd{
  grid-column: span 2;
  grid-row: 1;
}
body.woocommerce-page.tax-product_tag .site-content , .post-type-archive-product .site-content,
body.woocommerce-page.tax-product_cat .site-content , .post-type-archive-product .site-content {
  max-width: 100%;
}
.contact-phone a {
  font-size: 16px;
  font-weight: 400;
  color: black;
}
.contact-phone a span {
  color: #b89963;
  font-weight: 500;
}
.fluentform-widget-wrapper.hide-fluent-form-labels .ff-el-input--label.asterisk-right {
  display: block !important;
}
.ff-t-container.ff-column-container.ff_columns_total_1 .ff-el-group:last-child  .ff-el-input--content{
  display: grid;
  grid-template-columns: 1fr 1fr;
}
 article.card-portfolio .m-card {
     position: relative;
}
 article.card-portfolio {
     position: relative;
     display: block;
     box-shadow: 4px 4px 14px #7979794f;
     background: #fff;
     padding: 15px;
}
 .recent-blogspost {
     display: grid;
     grid-gap: 30px;
     grid-template-columns: 1fr 1fr 1fr;
}
 article.card-portfolio .title-box h3.text-title {
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  line-height: 1;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  position: relative;
  overflow: hidden;
  min-height: auto;
  height: 100%;
  color: #fff;
}
article.card-portfolio .title-box {
  padding: 8px 20px;
  background: #b89963;
  border-radius: 50px;
}
 article.card-portfolio .m-card a {
     display: grid;
     grid-gap: 15px;
     padding-bottom: 0;
}
.portfolio-box .grid-box {
    display: flex;
    grid-gap: 40px;
    width: 100%;
}
.portfolio-box {
    width: 100%;
}
.portfolio-box .row {
    margin: 0;
}
.portfolio-box .grid-box .p-sidebar {
    width: 25%;
}
.portfolio-box .grid-box .main-content {
    width: 75%;
}
.wpc-posts-found {
  margin-top: -22px;
  padding-bottom: 5px;
  color: #000;
  font-weight: 500;
  display: none;
}
.p-sidebar .widget,
.p-sidebar .widget.widget_wpc_filters_widget .wpc-filters-section {
  position: relative;
  display: block;
  box-shadow: 4px 4px 14px #7979794f;
  background: #fff;
  padding: 15px;
}
.widget.widget_wpc_filters_widget {
  padding: 0;
  box-shadow: none;
}
.p-sidebar .widget .widget-title {
  font-size: 19px;
  border-bottom: solid 1px #d5d5d5;
  font-weight: 600;
  padding-bottom: 5px;
}
.portfolio-category-widget li a{
  font-size: 16px;
  padding-left: 0 !important;
  font-weight: 400;
}
article.card-portfolio .thumbnail-box img {
  border-radius: 0;
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  object-fit: cover;
  min-height: 100%;
  margin: 0 auto;
  transition: all ease-in-out 600ms;
  transform-style: preserve-3d;
  object-position: center;
}
article.card-portfolio .thumbnail-box {
  padding-bottom: calc(0.7* 100%);
  display: block;
  position: relative;
  overflow: hidden;
}
.portfolio-box {
  padding: 2em 0 5em;
  position: relative;
}
.single-portfolio a.btn{
  display: none !important;
}
.single-portfolio .elementor-widget.elementor-widget-wd_button {
  display: none !important;
}

article.card-portfolio .title-box {
  padding: 5px 20px;
}
article.card-portfolio .title-box h3.text-title {
  line-height: 24px;
}
.pp-advanced-tabs-title {
  border: 1px solid #b89963 !important;
  transition: all ease-in-out 350ms;
}
.pp-advanced-tabs-title:hover {
  background: #b89963 !important;
}
.pp-advanced-tabs-title:hover span.pp-advanced-tabs-title-text {
  color: #fff !important;
}

.banner-overlay .carousel_image_link:before{
  background-color: transparent;
    background-image: linear-gradient(180deg, #00000000 0%, #000000 100%);
    display: block;
    content:'';
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 2;
    opacity: 0.65;
    position: absolute;
}
.h-slider .text-center a {
  padding:4px;
  display: block;
  border: 3px solid #B89963;
}
.image-eq img {
  min-height: 230px;
  max-height: 230px;
}
.image-eq img,
.img-100-m img {
  width: 100%;
  object-fit: cover;
}
.card-portfolio a{
  width: 100%;
}

.wrap-contact-product .wrap-btn-contact.shortcode a.btn-line {
  width: 100%;
}




.quote_box .ff-message-success p {
  margin: 0;
  color: #000;
}
.quote_box .fluentform .ff-el-group {
  margin-bottom: 7px;
}
.quote_box > h4 {
  font-weight: 500;
  color: #000;
  text-align: center;
  border-bottom: solid 1px #ddd;
  padding-bottom: 12px;
  font-size: 22px;
  margin-bottom: 25px;
  text-transform: uppercase;
}
.quote_box .vc_details {
  background: #eee;
  margin-bottom: 11px!important;
  pointer-events: none;
}
.quote_box .ff_submit_btn_wrapper {
  margin-bottom: 20px;
}
.quote_box svg {
  position: absolute;
  top: 9px;
  color: #000;
  right: 9px;
  width: 18px;
  height: 18px;
  cursor: pointer;
}
.quote_box .fluentform .ff-el-form-control {
  font-size: 16px;
}
.quote_box .ff_submit_btn_wrapper button {
  width: 100%;
  background-color: #111!important;
  font-size:14px;
}
.quote_box.active, .quote_box_overlay.active {
  opacity: 1;
  visibility: visible;
}
.quote_box_overlay {
  pointer-events: all;
  position: fixed;
  left: 0;
  top: 0;
  height: 100vh;
  width: 100%;
  z-index: 999998;
  margin-top: 0;
  opacity: 0;
  transition: all .4s ease;
  visibility: hidden;
  background: #000000c4;
}
.quote_box {
  position: fixed;
  background: #FFF;
  max-width: 550px;
  max-height: 600px;
  overflow-x: auto;
  margin-top: 50px;
  margin: 0 auto;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  visibility: hidden;
  opacity: 0;
  z-index: 999999;
  width: 95%;
  padding: 20px;
  padding-top: 35px;
  border-radius: 5px;
}
.wrap-add_quote {
  padding: 0;
}
button.add_quote {
  display: flex;
      width: 100%;
      color: #FFF;
      border-radius: 50px;
      gap: 5px;
      align-items: center;
      font-size: 18px;
      justify-content: center;
      margin: 0;
      min-height: 45px;
      border: solid 1px #111;
      background-color: #111;
}
button.add_quote:hover{
  border: solid 1px #4E4E4E;
  background-color: #4E4E4E;
  color: #FFF;
}
.wrap-add_quote .ff-el-input--label label{
  font-size: 14px;
  color: #000;
}
.wrap-add_quote .ff-btn.ff-btn-submit {
  margin-top: 12px;
  font-size: 15px;
  margin-bottom: 7px;
  width: 100%;
  max-width: 100%;
  min-width: 100%;
  color: #FFF;
}
.wrap-add_quote .ff-default .ff-el-form-control:focus {
  border-color: #000;
}
.quote_box .ff-message-success {
  background: #b89963!important;
  color: #FFF!important;
}
.single-product .wrap-btn-contact{
  align-items: center;
}

/*ipad (tablet)*/
@media (max-width: 1028px) {
  .quote_box {
    max-height: 95%;
}
  .banner-new-top #carousel_image_link .swiper-slide img {
    min-height: 500px;
}
  .image-eq img {
    min-height: 140px;
    max-height: 140px;
}
.img-100-m img {
  max-height: 200px;
}
  .arrow-outside-m #carousel_image_link{
    position: static;
    width: calc(100% - 65px);
  }
  .arrow-outside-m #carousel_image_link .swiper-button-prev {
    left: -5px;
}

.arrow-outside-m #carousel_image_link .swiper-button-next{
    right: -5px;
}
  
  .f-form .frm-fluent-form .ff-t-container {
    gap: 20px !important;
  }
  .page-title_pd {
    padding: 0em 0 3em;
    display: block;
    position: relative;
    width: 100%;
  }
  body.woocommerce-page.tax-product_tag .site-content,
  body.woocommerce-page.tax-product_cat .site-content,
   .post-type-archive-product .site-content {
    grid-column: span 2;
}
body.woocommerce-page .content-layout-wrapper {
  margin: 0 !important;
}
body.woocommerce-page.tax-product_tag .site-content,
body.woocommerce-page.tax-product_cat .site-content, .post-type-archive-product .site-content {
  padding: 0;
}
.portfolio-box {
  padding: 1.5em 2em 3em;
  position: relative;
}
}
/*iphone5 (small smartphone)*/
@media (max-width: 767px) {

  .image-eq img {
    min-height: 200px;
    max-height: 200px;
}
.wd-product.wd-hover-fw-button .wd-add-btn>a {
    width: 35px !important;
    height: 35px !important;
    border-radius: 50px !important;
    line-height: 1 !important;
    padding: 0 !important;
    min-height: 0;
}
.wd-add-btn-replace .add-to-cart-loop:before {
    font-size: 15px !important;
    border-radius: 50px;
    top: 1px !important;
    right: 0 !important;
}
.cat-name h1.head-h3 {
  font-size: 35px;
}
.title-box .shoptext .head-h3 {
  font-size: 21px;
}
.single_add_to_cart_button {
  font-size: 16px;
}
.portfolio-box {
  padding: 1.5em 1.5em 2em;
}
.wrap-contact-product .wrap-btn-contact {
  width: 100% !important;
}
}

.btn-project-contact,
.shortcode-btn-project-contact a,
.single-product .wrap-btn-contact a{
    border: solid 1px #6c625b!important;
    background: #6c625b!important;
    color: #FFF!important;
}

.btn-project-contact svg,
.shortcode-btn-project-contact a svg, 
.single-product .wrap-btn-contact a.btn-project-contact svg {
    max-width: 23px;
        font-size: 17px!important;
    fill: #FFF;
}

.btn-project-contact,
.shortcode-btn-project-contact a{
    display: flex;
    width: 100%;
    border-radius: 50px;
    gap: 5px;
    align-items: center;
    font-size: 18px;
    justify-content: center;
    margin: 0;
    min-height: 45px;
}

.btn-project-contact:hover,
.shortcode-btn-project-contact a:hover{
  background-color: #B89963!important;
  border-color: #B89963!important;
}